explain_iconv_open_or_die(3)

NAME
explain_iconv_open_or_die - prepare for charset conversion and report errors

SYNOPSIS
#include <libexplain/iconv_open.h>

iconv_t explain_iconv_open_or_die(const char *tocode, const char *fromcode);
iconv_t explain_iconv_open_on_error(const char *tocode, const char *fromcode);

DESCRIPTION
The explain_iconv_open_or_die function is used to call the iconv_open(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv_open(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_iconv_open_on_error function is used to call the iconv_open(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv_open(3) function, but still returns to the caller.

tocode
    The tocode, exactly as to be passed to the iconv_open(3) system call.

fromcode
    The fromcode, exactly as to be passed to the iconv_open(3) system call.

RETURN VALUE
The explain_iconv_open_or_die function only returns on success, see iconv_open(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_iconv_open_on_error function always returns the value return by the wrapped iconv_open(3) system call.

EXAMPLE
The explain_iconv_open_or_die function is intended to be used in a fashion similar to the following example:
    iconv_t result = explain_iconv_open_or_die(tocode, fromcode);

SEE ALSO

iconv_open(3)
    allocate descriptor for character set conversion

explain_iconv_open(3)
    explain iconv_open(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller